Firefox 3.5 Problem [Solved]

Anything that pertains to Portage

Moderator: Moderators

Re: Firefox 3.5 Problem

Postby AlmaFuerte » Sun Jul 26, 2009 20:40

I have the version 1.9.1-r11 of xulrunner, and firefox 3.5.1-r10.
Imagination is more important than knowledge. Albert Einstein.
AlmaFuerte
Simple Hen
 
Posts: 51
Joined: Fri Sep 28, 2007 2:35

Re: Firefox 3.5 Problem

Postby wolfden » Mon Jul 27, 2009 10:24

1.9.1-r11 ?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Firefox 3.5 Problem

Postby AlmaFuerte » Mon Jul 27, 2009 13:37

yep,

Code: Select all
*  net-libs/xulrunner
      Latest version available: 1.9.1-r11
      Latest version installed: 1.9.1-r11
      Size of files: 45,356 kB
      Homepage:      http://developer.mozilla.org/en/docs/XULRunner
      Description:   Mozilla runtime package that can be used to bootstrap XUL+X


Is that a problem?
Imagination is more important than knowledge. Albert Einstein.
AlmaFuerte
Simple Hen
 
Posts: 51
Joined: Fri Sep 28, 2007 2:35

Re: Firefox 3.5 Problem

Postby Thev00d00 » Mon Jul 27, 2009 13:55

Code: Select all
cp: cannot stat `/usr/local/portage/layman/sabayon/www-client/mozilla-firefox/files/3.5.1/gentoo-default-prefs.js': No such file or directory
!!! newins: /usr/local/portage/layman/sabayon/www-client/mozilla-firefox/files/3.5.1/icon/mozilla-firefox-1.5.desktop does not exist


Ill fix those, works fine here however.

try remerging xulrunner + nspr
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom

Re: Firefox 3.5 Problem

Postby AlmaFuerte » Mon Jul 27, 2009 15:31

I reemerge xulrunner and nspr, but not works, again i get:

Code: Select all
cp: cannot stat `/usr/local/portage/layman/sabayon/www-client/mozilla-firefox/files/3.5.1/gentoo-default-prefs.js': No such file or directory
!!! newins: /usr/local/portage/layman/sabayon/www-client/mozilla-firefox/files/3.5.1/icon/mozilla-firefox-1.5.desktop does not exist


How can i fix that??
Imagination is more important than knowledge. Albert Einstein.
AlmaFuerte
Simple Hen
 
Posts: 51
Joined: Fri Sep 28, 2007 2:35

Re: Firefox 3.5 Problem

Postby wolfden » Mon Jul 27, 2009 23:15

I installed xulrunner + nspr + firefox 3.5.1 from portage and have no issues at all, but my xulrunner is not that version

Code: Select all
wolfcore wolfden # eix xulrunner
[I] net-libs/xulrunner
     Available versions: 
   (1.8)   1.8.1.19
   (1.9)   1.9.0.10 1.9.0.11-r1 {M}(~)1.9.1-r1
   {custom-optimization dbus debug elibc_FreeBSD gnome ipv6 java python startup-notification xinerama}
      Installed versions:  1.9.1-r1(1.9)(15:54:56 07/26/09)(dbus gnome python startup-notification -custom-optimization -debug -elibc_FreeBSD -java)
     Homepage:            http://developer.mozilla.org/en/docs/XULRunner
     Description:         Mozilla runtime package that can be used to bootstrap XUL+XPCOM applications


notice:
Installed versions: 1.9.1-r1

If I remember correctly you have to unmask xulrunner and nspr otherwise it won't even install. I'm posting from FF-3.5.1 tho

Code: Select all
wolfcore wolfden # eix nspr
[I] dev-libs/nspr
     Available versions:  4.6.8 4.7.3 4.7.4 {M}(~)4.8 {debug ipv6}
     Installed versions:  4.8(05:14:47 07/27/09)(ipv6 -debug)
     Homepage:            http://www.mozilla.org/projects/nspr/
     Description:         Netscape Portable Runtime
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Firefox 3.5 Problem

Postby AlmaFuerte » Tue Jul 28, 2009 4:18

Thanks wolfden, it appears to be a problem with the version of xulrunner. The latest version of firefox in portage is 3.5.1-r10. When i try to install that version it automatically emerge the version 1.9.1-r11 of xulrunner and doesn't work. So, i install the versions 4.8 of nspr, 1.9.1-r1 of xulrunner and 3.5.1 of firefox, and it works fine.
For anyone who has this problem:

Code: Select all
# emerge =nspr-4.8
# revdep-rebuild
# emerge =xulrunner-1.9.1-r1
# emerge =mozilla-firefox-3.5.1


Thanks again!
Imagination is more important than knowledge. Albert Einstein.
AlmaFuerte
Simple Hen
 
Posts: 51
Joined: Fri Sep 28, 2007 2:35

Previous

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests

cron